Bug 1011586 - Stack trace drawing problem with GTK3 + eclipse-swt GTK3 provider
Stack trace drawing problem with GTK3 + eclipse-swt GTK3 provider
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Alexander Kurtakov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-24 11:07 EDT by Severin Gehwolf
Modified: 2015-02-18 04:48 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:20:08 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Severin Gehwolf 2013-09-24 11:07:39 EDT
Description of problem:
When running JUnit tests, the view as (provided by org.eclipse.jdt.internal.junit.ui.TestRunnerViewPart) where the stack trace used to show up, does not always seem to render the stack-trace appropriately using SWT_GTK3=1 eclipse

Version-Release number of selected component (if applicable):
eclipse-swt-4.3.0-4.fc19.x86_64

How reproducible:
Mostly all the time. I seem to be able to get it fixed, then it's flaking out on me again. Please see the linked video for a demo.

Steps to Reproduce:
1. Repeatedly run JUnit test cases. Make sure they fail sometimes so you see
   stack traces.

Actual results:
Stack traces don't show up, detailing about the test failure.

Expected results:
Stack traces show up reliably.

Additional info:
I've also noticed that "CTRL+ALT+X T" does not always run the test case currently in focus in the editor. Same for right-click => run-as => junit test.
Comment 1 Severin Gehwolf 2013-09-24 11:26:44 EDT
Promised video link illustrating the issue: http://jerboaa.fedorapeople.org/bugs/rhbz_1011586.webm
Comment 2 Severin Gehwolf 2013-10-01 04:31:18 EDT
A similar drawing/update of view problem happens in the call-hierarchy view (CTRL+ALT+H on any method in the source editor). Class contributing this view is:
org.eclipse.jdt.internal.ui.callhierarchy.CallHierarchyViewPart
Comment 3 Fedora End Of Life 2015-01-09 14:58:08 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-02-17 12:20:08 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Severin Gehwolf 2015-02-18 04:48:36 EST
FWIW, I haven't seen this issue in a while. Seems to have been fixed. I'm on F21 eclipse Luna SR1 these days.

Note You need to log in before you can comment on or make changes to this bug.